### Method

# GUPnPAV DIDLLiteDescriptor set_id

#### Declaration [src]

    void
    gupnp_didl_lite_descriptor_set_id (
      GUPnPDIDLLiteDescriptor* descriptor,
      const char* id
    )

#### Description [src]

Set the ID of the `descriptor`.

Sets property | `GUPnPAV.DIDLLiteDescriptor:id`

#### Parameters

`id`

  Type: `const char*`

  The ID as string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.